%define version	0.3.2
%define release	%mkrel 9

%define scim_version       1.4.5
%define libhangul_version  0.0.4

Name:		scim-hangul
Summary:	Hangul IMEngine for SCIM
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv2+
URL:		http://sourceforge.net/projects/scim/
Source:		http://dfn.dl.sourceforge.net/sourceforge/scim/%name-%version.tar.gz
Patch0:		scim-hangul-fix-build.diff
Patch1:		scim-hangul-0.3.2-gcc43.patch
Requires:		scim-client = %{scim_api}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		libhangul-devel >= %{libhangul_version}
BuildRequires:		gettext-devel
BuildRequires:		automake
Obsoletes:	%mklibname %name 0

%description
scim-hangul is a Hangul IMEngine for SCIM, which is 
ported from imhangul project. 
It supports both Hangul and Hanja input.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
%configure2_5x --disable-static --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
# note: skim loads some *.la files. Don't remove them.
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%{_datadir}/scim/hangul
%scim_plugins_dir/*/*.so
%scim_plugins_dir/*/*.la


%changelog
* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-9mdv2011.0
+ Revision: 607520
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-8mdv2010.1
+ Revision: 523981
- rebuilt for 2010.1

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 0.3.2-7mdv2009.1
+ Revision: 335451
- rebuild

* Tue Nov 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-6mdv2009.1
+ Revision: 304190
- rebuild for new xcb

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-5mdv2009.1
+ Revision: 301013
- rebuilt against new libxcb

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 0.3.2-4mdv2009.0
+ Revision: 289235
- add gcc43 patch
- rebuild without skim

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-2mdv2008.1
+ Revision: 171093
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix no-buildroot-tag

* Sun Dec 30 2007 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2008.1
+ Revision: 139557
- New version 0.3.2

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 28 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.3.1-2mdv2008.0
+ Revision: 93494
- Remove uneeded conflicts.

  + Funda Wang <fwang@mandriva.org>
    - More all stuff related to skim to skim subpackage
    - fix autotools requires


* Wed Feb 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-1mdv2007.0
+ Revision: 123183
- new release
- Import scim-hangul

* Tue Nov 07 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-1mdv2007.1
- new release
- split off skim-scim-hangul
- (http://archives.mandrivalinux.com/cooker-i18n/2006-10/msg00017.php)
- add require libhangul

* Sun Mar 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.2-1mdk
- new release
- add "--disable-rpath" to avoid rpmlint errors

* Mon Dec 05 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.1-2.20051102.2mdk
- add BuildRequires: automake1.9 libskim-devel

* Wed Nov 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-2.20051102.1mdk
- use cvs snapshot to build against skim-1.4.3

* Sun Oct 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.1-1mdk
- new release

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-4mdk
- Rebuild for new scim ( 1.4.0)

* Tue Jun 21 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.0-3mdk
- Rebuild for new scim ( 1.3.1 )

* Sat Jun 18 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.0-2mdk
- Rebuild for new scim

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- new release
- patch 0: update japanese translation

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-3mdk
- rebuild with scim-1.1.3
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-2mdk
- rebuild with scim-1.0.2

* Tue Aug 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-1mdk
- new release

* Tue Aug 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- new release
- bump scim buildrequires

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.0-1mdk
- new release
- drop patch 0: better fix upstream

* Sat Aug 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.3-2mdk
- patch 0: fix faillure to input last charator within java app
  (Choe Hwanjin <krisna at kldp.org>)

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.3-1mdk
- new release
- fix {build,}requires

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.2-1mdk
- drop CXXFLAGS
- only regenerate build system if needed
- initial spec for Mandrake (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

